Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.expr.substitution
Class IntegerSubstitutionExpr

    java.lang.Object
      com.servingxml.expr.substitution.IntegerSubstitutionExpr

    public abstract class IntegerSubstitutionExpr

extends java.lang.Object

Field Summary
`static IntegerSubstitutionExpr` | `MAX_INTEGER`
`static IntegerSubstitutionExpr` | `MINUS_ONE`
`static IntegerSubstitutionExpr` | `NULL`
`static IntegerSubstitutionExpr` | `ONE`
`static IntegerSubstitutionExpr` | `ZERO`

Constructor Summary
`IntegerSubstitutionExpr()`

Method Summary
`abstract int` | `evaluateAsInt(Record parameters, Record record)`
`abstract boolean` | `isLiteral()`
`abstract boolean` | `isNull()`
`static IntegerSubstitutionExpr` | `parseInt(QnameContext context, java.lang.String s)`
`static int` | `parseInt(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_INTEGER

    public static final IntegerSubstitutionExpr MAX_INTEGER

### ONE

    public static final IntegerSubstitutionExpr ONE

### ZERO

    public static final IntegerSubstitutionExpr ZERO

### MINUS_ONE

    public static final IntegerSubstitutionExpr MINUS_ONE

### NULL

    public static final IntegerSubstitutionExpr NULL

Constructor Detail

### IntegerSubstitutionExpr

    public IntegerSubstitutionExpr()

Method Detail

### parseInt

    public static IntegerSubstitutionExpr parseInt(QnameContext context,
                                                   java.lang.String s)

### evaluateAsInt

    public abstract int evaluateAsInt(Record parameters,
                                      Record record)

### isNull

    public abstract boolean isNull()

### isLiteral

    public abstract boolean isLiteral()

### parseInt

    public static int parseInt(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD